## org.eclipse.jst.jsf.facesconfig.emf.impl
Class RendererTypeImpl

    java.lang.Object
      EObjectImpl
          org.eclipse.jst.jsf.facesconfig.emf.impl.RendererTypeImpl

All Implemented Interfaces:
  RendererType

    public class RendererTypeImpl

extends EObjectImpl
implements RendererType

An implementation of the model object 'Renderer Type'.

The following features are implemented:

- `Description`
- `Display Name`
- `Icon`
- `Component Family`
- `Renderer Type`
- `Renderer Class`
- `Facet`
- `Attribute`
- `Renderer Extension`
- `Id`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`NotificationChain` `basicSetComponentFamily(ComponentFamilyType newComponentFamily, NotificationChain msgs)`
`NotificationChain` `basicSetRendererClass(RendererClassType newRendererClass, NotificationChain msgs)`
`NotificationChain` `basicSetRendererType(RendererTypeType newRendererType, NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`EList` `getAttribute()`
`ComponentFamilyType` `getComponentFamily()`
`EList` `getDescription()`
`EList` `getDisplayName()`
`EList` `getFacet()`
`EList` `getIcon()`
`java.lang.String` `getId()`
`RendererClassType` `getRendererClass()`
`EList` `getRendererExtension()`
`RendererTypeType` `getRendererType()`
`void` `setComponentFamily(ComponentFamilyType newComponentFamily)`
`void` `setId(java.lang.String newId)`
`void` `setRendererClass(RendererClassType newRendererClass)`
`void` `setRendererType(RendererTypeType newRendererType)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### copyright

    public static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getDescription

    public EList getDescription()

  Specified by:
    `getDescription` in interface `RendererType`
  Returns:
    the value of the 'Description' containment reference list.
  See Also:
    `FacesConfigPackage.getRendererType_Description()`

### getDisplayName

    public EList getDisplayName()

  Specified by:
    `getDisplayName` in interface `RendererType`
  Returns:
    the value of the 'Display Name' containment reference list.
  See Also:
    `FacesConfigPackage.getRendererType_DisplayName()`

### getIcon

    public EList getIcon()

  Specified by:
    `getIcon` in interface `RendererType`
  Returns:
    the value of the 'Icon' containment reference list.
  See Also:
    `FacesConfigPackage.getRendererType_Icon()`

### getComponentFamily

    public ComponentFamilyType getComponentFamily()

  Specified by:
    `getComponentFamily` in interface `RendererType`
  Returns:
    the value of the 'Component Family' containment reference.
  See Also:
    `RendererType.setComponentFamily(ComponentFamilyType)`, `FacesConfigPackage.getRendererType_ComponentFamily()`

### basicSetComponentFamily

    public NotificationChain basicSetComponentFamily(ComponentFamilyType newComponentFamily,
                                                     NotificationChain msgs)

  Parameters:
    `newComponentFamily` -
    `msgs` -
  Returns:
    the notification chain

### setComponentFamily

    public void setComponentFamily(ComponentFamilyType newComponentFamily)

  Specified by:
    `setComponentFamily` in interface `RendererType`
  Parameters:
    `newComponentFamily` - the new value of the 'Component Family' containment reference.
  See Also:
    `RendererType.getComponentFamily()`

### getRendererType

    public RendererTypeType getRendererType()

  Specified by:
    `getRendererType` in interface `RendererType`
  Returns:
    the value of the 'Renderer Type' containment reference.
  See Also:
    `RendererType.setRendererType(RendererTypeType)`, `FacesConfigPackage.getRendererType_RendererType()`

### basicSetRendererType

    public NotificationChain basicSetRendererType(RendererTypeType newRendererType,
                                                  NotificationChain msgs)

  Parameters:
    `newRendererType` -
    `msgs` -
  Returns:
    the notification chain

### setRendererType

    public void setRendererType(RendererTypeType newRendererType)

  Specified by:
    `setRendererType` in interface `RendererType`
  Parameters:
    `newRendererType` - the new value of the 'Renderer Type' containment reference.
  See Also:
    `RendererType.getRendererType()`

### getRendererClass

    public RendererClassType getRendererClass()

  Specified by:
    `getRendererClass` in interface `RendererType`
  Returns:
    the value of the 'Renderer Class' containment reference.
  See Also:
    `RendererType.setRendererClass(RendererClassType)`, `FacesConfigPackage.getRendererType_RendererClass()`

### basicSetRendererClass

    public NotificationChain basicSetRendererClass(RendererClassType newRendererClass,
                                                   NotificationChain msgs)

  Parameters:
    `newRendererClass` -
    `msgs` -
  Returns:
    the notification chain

### setRendererClass

    public void setRendererClass(RendererClassType newRendererClass)

  Specified by:
    `setRendererClass` in interface `RendererType`
  Parameters:
    `newRendererClass` - the new value of the 'Renderer Class' containment reference.
  See Also:
    `RendererType.getRendererClass()`

### getFacet

    public EList getFacet()

  Specified by:
    `getFacet` in interface `RendererType`
  Returns:
    the value of the 'Facet' containment reference list.
  See Also:
    `FacesConfigPackage.getRendererType_Facet()`

### getAttribute

    public EList getAttribute()

  Specified by:
    `getAttribute` in interface `RendererType`
  Returns:
    the value of the 'Attribute' containment reference list.
  See Also:
    `FacesConfigPackage.getRendererType_Attribute()`

### getRendererExtension

    public EList getRendererExtension()

  Specified by:
    `getRendererExtension` in interface `RendererType`
  Returns:
    the value of the 'Renderer Extension' containment reference list.
  See Also:
    `FacesConfigPackage.getRendererType_RendererExtension()`

### getId

    public java.lang.String getId()

  Specified by:
    `getId` in interface `RendererType`
  Returns:
    the value of the 'Id' attribute.
  See Also:
    `RendererType.setId(String)`, `FacesConfigPackage.getRendererType_Id()`

### setId

    public void setId(java.lang.String newId)

  Specified by:
    `setId` in interface `RendererType`
  Parameters:
    `newId` - the new value of the 'Id' attribute.
  See Also:
    `RendererType.getId()`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

### eUnset

    public void eUnset(int featureID)

### eIsSet

    public boolean eIsSet(int featureID)

### toString

    public java.lang.String toString()